> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get search payor

> Retrieve insurance search payor via the Junction API. Requires authentication with your team API key.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
       --url '{{BASE_URL}}/v3/insurance/search/payor?insurance_name=AETNA' \
       --header 'accept: application/json' \
       --header 'x-vital-api-key: {YOUR_KEY}'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  [
    {
      "code": "AARPA",
      "name": "AARP",
      "aliases": [
        "AARP",
        "AARP"
      ],
      "org_address": {
        "first_line": "PO BOX 740819",
        "second_line": null,
        "country": "US",
        "zip": "30374",
        "city": "ATLANTA",
        "state": "GA"
      }
    }
  ]
  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/insurance/search/payor
openapi: 3.1.0
info:
  title: Junction API
  description: https://docs.junction.com/
  version: 0.4.483
servers:
  - url: https://api.us.junction.com
    x-fern-server-name: Production
  - url: https://api.eu.junction.com
    x-fern-server-name: ProductionEU
  - url: https://api.sandbox.us.junction.com
    x-fern-server-name: Sandbox
  - url: https://api.sandbox.eu.junction.com
    x-fern-server-name: SandboxEU
security:
  - apiKeyAuth: []
paths:
  /v3/insurance/search/payor:
    get:
      tags:
        - insurance
      summary: Search Insurance Payor Information
      operationId: search_insurance_payor_information_v3_insurance_search_payor_get
      parameters:
        - name: insurance_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Insurance Name
        - name: provider
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/PayorCodeExternalProvider'
              - type: 'null'
            title: Provider
        - name: provider_payor_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Provider Payor Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ClientFacingPayorSearchResponse'
                title: >-
                  Response Search Insurance Payor Information V3 Insurance
                  Search Payor Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PayorCodeExternalProvider:
      type: string
      enum:
        - change_healthcare
        - availity
        - stedi
        - waystar
        - claim_md
        - apero
        - pverify
      title: PayorCodeExternalProvider
      description: ℹ️ This enum is non-exhaustive.
    ClientFacingPayorSearchResponse:
      properties:
        payor_code:
          type: string
          title: Payor Code
          description: Payor code returned for the insurance information.
        name:
          type: string
          title: Name
          description: Insurance name returned for the insurance information.
        aliases:
          items:
            type: string
          type: array
          title: Aliases
          description: Insurance name aliases returned for the insurance information.
        org_address:
          $ref: '#/components/schemas/Address'
          description: Insurance business address returned for the insurance information.
        source:
          $ref: '#/components/schemas/ClientFacingPayorCodeSource'
          description: >-
            The source of the payor, can be one of (platform, team). ℹ️ This
            enum is non-exhaustive.
      type: object
      required:
        - payor_code
        - name
        - aliases
        - org_address
        - source
      title: ClientFacingPayorSearchResponse
    HTTPValidationError:
      properties:
        detail:
          title: Detail
      type: object
      title: HTTPValidationError
    Address:
      properties:
        first_line:
          type: string
          title: First Line
        second_line:
          anyOf:
            - type: string
            - type: 'null'
          title: Second Line
          default: ''
        country:
          type: string
          title: Country
        zip:
          type: string
          title: Zip
        city:
          type: string
          title: City
        state:
          type: string
          title: State
        access_notes:
          anyOf:
            - type: string
              maxLength: 1000
            - type: 'null'
          title: Access Notes
      type: object
      required:
        - first_line
        - country
        - zip
        - city
        - state
      title: Address
    ClientFacingPayorCodeSource:
      type: string
      enum:
        - platform
        - team
      title: ClientFacingPayorCodeSource
      description: ℹ️ This enum is non-exhaustive.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-vital-api-key
      description: Vital Team API Key

````